Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 52)
@@ -449,7 +449,10 @@
                 strSQL += ", CONSTRUCTIONBASEINFODETAIL E1";
                 strSQL += " WHERE NOT EXISTS (SELECT * FROM CONSTRUCTIONLEDGER A1 WHERE A1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
                 strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", SelectPeriod);
-                strSQL += string.Format(" AND A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Standard);
+
+                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+
                 strSQL += string.Format(" And ({0} <= A.ConstructionStatusFlg And A.ConstructionStatusFlg <= {1})", iCode1, iCode2);
                 strSQL += " AND B1.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
                 strSQL += " AND C1.DEPARTMENTCODE = B1.DEPARTMENTCODE";
@@ -458,31 +461,34 @@
                 if (DepartmantCode > 0) strSQL += string.Format(" AND C1.DEPARTMENTCODE = {0}", DepartmantCode);
                 if (PersonCode > 0) strSQL += string.Format(" AND B1.PERSONCODE = {0}", PersonCode);
                 strSQL += ")";
-                strSQL += " UNION";
-                strSQL += " (SELECT C1.DISPLAYORDER, A.CONSTRUCTIONCODE, SUM(A.ORDERSDECISIONPRICE) + SUM(NVL(C.ORDERSDECISIONPRICE,0)),";
-                strSQL += " A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE,";
-                strSQL += " C1.DEPARTMENTSTRING, B1.PERSONNAME,";
-                strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO,";
-                strSQL += " E1.DETAILSTRING, B1.DISPLAYORDER";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.FLUCTUATIONCODE";
-                strSQL += ", PERSONINCHARGEMASTER B1, DEPARTMENTMASTER C1";
-                strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D1 ON D1.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D1.EXPENSESPERIOD = {0} AND D1.NameCode = 3", SelectPeriod);
-                strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D2 ON D2.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D2.EXPENSESPERIOD = {0} AND D2.NameCode = 2", SelectPeriod);
-                strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D3 ON D3.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D3.EXPENSESPERIOD = {0} AND D3.NameCode = 1", SelectPeriod);
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL E1";
-                strSQL += " WHERE NOT EXISTS (SELECT * FROM CONSTRUCTIONLEDGER A1 WHERE A1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
-                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", SelectPeriod);
-                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Standard);
-                strSQL += string.Format(" And ({0} <= A.ConstructionStatusFlg And A.ConstructionStatusFlg <= {1})", iCode1, iCode2);
-                strSQL += " AND B1.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " AND C1.DEPARTMENTCODE = B1.DEPARTMENTCODE";
-                strSQL += " AND E1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND E1.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                if (DepartmantCode > 0) strSQL += string.Format(" AND C1.DEPARTMENTCODE = {0}", DepartmantCode);
-                if (PersonCode > 0) strSQL += string.Format(" AND B1.PERSONCODE = {0}", PersonCode);
-                strSQL += " GROUP BY C1.DISPLAYORDER, A.CONSTRUCTIONCODE, A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE, C1.DEPARTMENTSTRING, B1.PERSONNAME, ";
-                strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO, E1.DETAILSTRING, B1.DISPLAYORDER)";
+                //strSQL += " UNION";
+                //strSQL += " (SELECT C1.DISPLAYORDER, A.CONSTRUCTIONCODE, SUM(A.ORDERSDECISIONPRICE) + SUM(NVL(C.ORDERSDECISIONPRICE,0)),";
+                //strSQL += " A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE,";
+                //strSQL += " C1.DEPARTMENTSTRING, B1.PERSONNAME,";
+                //strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO,";
+                //strSQL += " E1.DETAILSTRING, B1.DISPLAYORDER";
+                //strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                //strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.FLUCTUATIONCODE";
+                //strSQL += ", PERSONINCHARGEMASTER B1, DEPARTMENTMASTER C1";
+                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D1 ON D1.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D1.EXPENSESPERIOD = {0} AND D1.NameCode = 3", SelectPeriod);
+                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D2 ON D2.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D2.EXPENSESPERIOD = {0} AND D2.NameCode = 2", SelectPeriod);
+                //strSQL += string.Format(" LEFT JOIN DEPARTMENTEXPENSESMASTER D3 ON D3.DEPARTMENTCODE = C1.DEPARTMENTCODE AND D3.EXPENSESPERIOD = {0} AND D3.NameCode = 1", SelectPeriod);
+                //strSQL += ", CONSTRUCTIONBASEINFODETAIL E1";
+                //strSQL += " WHERE NOT EXISTS (SELECT * FROM CONSTRUCTIONLEDGER A1 WHERE A1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                //strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", SelectPeriod);
+                
+                //strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Standard);
+                //strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
+
+                //strSQL += string.Format(" And ({0} <= A.ConstructionStatusFlg And A.ConstructionStatusFlg <= {1})", iCode1, iCode2);
+                //strSQL += " AND B1.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                //strSQL += " AND C1.DEPARTMENTCODE = B1.DEPARTMENTCODE";
+                //strSQL += " AND E1.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                //strSQL += string.Format(" AND E1.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                //if (DepartmantCode > 0) strSQL += string.Format(" AND C1.DEPARTMENTCODE = {0}", DepartmantCode);
+                //if (PersonCode > 0) strSQL += string.Format(" AND B1.PERSONCODE = {0}", PersonCode);
+                //strSQL += " GROUP BY C1.DISPLAYORDER, A.CONSTRUCTIONCODE, A.CONSTRUCTIONSTATUSFLG, A.CONSTRUCTIONPERSONCODE, C1.DEPARTMENTSTRING, B1.PERSONNAME, ";
+                //strSQL += " D1.EXPENSESRATIO, D2.EXPENSESRATIO, D3.EXPENSESRATIO, E1.DETAILSTRING, B1.DISPLAYORDER)";
                 strSQL += " ORDER BY 1, 12, 2";
 
                 ArrayList DatArList = new ArrayList();
